CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

Functions
Prettyprinting functions

## Functions
void | lo_bundle_pp (lo_bundle b)
| Pretty-print a lo_bundle object.
void | lo_message_pp (lo_message m)
| Pretty-print a lo_message object.
void | lo_arg_pp (lo_type type, void *data)
| Pretty-print a set of typed arguments.
void | lo_server_pp (lo_server s)
| Pretty-print a lo_server object.
void | lo_method_pp (lo_method m)
| Pretty-print a lo_method object.
void | lo_method_pp_prefix (lo_method m, const char *p)
| Pretty-print a lo_method object, but prepend a given prefix to all field names.
void | lo_server_thread_pp (lo_server_thread st)
| Pretty-print a lo_server_thread object.

## Detailed Description

These functions all print an ASCII representation of their argument to stdout. Useful for debugging.

## Function Documentation

void lo_bundle_pp | ( | lo_bundle | b | ) |

Pretty-print a lo_bundle object.

Definition at line 168 of file bundle.c.

References lo_message_pp().

void lo_message_pp | ( | lo_message | m | ) |

Pretty-print a lo_message object.

Definition at line 880 of file message.c.

References lo_arg_pp_internal(), and lo_arg_size().

Referenced by lo_bundle_pp().

void lo_arg_pp | ( | lo_type | type,
|  | void * | data
| ) |  |

Pretty-print a set of typed arguments.

Parameters:

  type | A type string in the form provided to lo_send().
  data | An OSC data pointer, like that provided in the lo_method_handler.

Definition at line 902 of file message.c.

References lo_arg_pp_internal().

Referenced by generic_handler(), main(), and messageHandler().

void lo_server_pp | ( | lo_server | s | ) |

Pretty-print a lo_server object.

Definition at line 1357 of file server.c.

References lo_method_pp_prefix().

Referenced by lo_server_thread_pp().

void lo_method_pp | ( | lo_method | m | ) |

Pretty-print a lo_method object.

Definition at line 22 of file method.c.

References lo_method_pp_prefix().

void lo_method_pp_prefix | ( | lo_method | m,
|  | const char * | p
| ) |  |

Pretty-print a lo_method object, but prepend a given prefix to all field names.

Definition at line 27 of file method.c.

Referenced by lo_method_pp(), and lo_server_pp().

void lo_server_thread_pp | ( | lo_server_thread | st | ) |

Pretty-print a lo_server_thread object.

Definition at line 175 of file server_thread.c.

References lo_server_pp().